# -*- encoding: utf-8 -*-
# stub: wmi-lite 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "wmi-lite".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Edwards".freeze]
  s.date = "2014-05-29"
  s.description = "A lightweight utility over win32ole for accessing basic WMI (Windows Management Instrumentation) functionality in the Microsoft Windows operating system. It has no runtime dependencies other than Ruby, so it can be used without concerns around dependency issues.".freeze
  s.email = ["dev@getchef.com".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/wmi-lite.rb".freeze, "lib/wmi-lite/version.rb".freeze, "lib/wmi-lite/wmi.rb".freeze, "lib/wmi-lite/wmi_exception.rb".freeze, "lib/wmi-lite/wmi_instance.rb".freeze, "spec/functional/wmi_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/wmi_spec.rb".freeze, "wmi-lite.gemspec".freeze]
  s.homepage = "https://github.com/opscode/wmi-lite".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.rubygems_version = "2.6.4".freeze
  s.summary = "A lightweight utility library for accessing basic WMI (Windows Management Instrumentation) functionality on Windows".freeze
  s.test_files = ["spec/functional/wmi_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/wmi_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry-debugger>.freeze, [">= 0"])
    else
      s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<pry>.freeze, [">= 0"])
      s.add_dependency(%q<pry-debugger>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<pry-debugger>.freeze, [">= 0"])
  end
end

